## org.apache.xml.serializer
Class OutputPropertiesFactory

    java.lang.Object
      org.apache.xml.serializer.OutputPropertiesFactory

public class OutputPropertiesFactory
extends java.lang.Object

This class acts as a factory to generate properties for the given output type ("xml", "text", "html")..

Field Summary
`static java.lang.String` `S_BUILTIN_EXTENSIONS_UNIVERSAL` Built-in extensions namespace, reexpressed in {namespaceURI} syntax suitable for prepending to a localname to produce a "universal name".
`static java.lang.String` `S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL` The old built-in extension namespace
`static int` `S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL_LEN` The length of the old built-in extension namespace
`static java.lang.String` `S_KEY_CONTENT_HANDLER` Fully qualified name of class with a default constructor that implements the ContentHandler interface, where the result tree events will be sent to.
`static java.lang.String` `S_KEY_ENTITIES` File name of file that specifies character to entity reference mappings.
`static java.lang.String` `S_KEY_INDENT_AMOUNT` The number of whitespaces to indent by, if indent="yes".
`static java.lang.String` `S_OMIT_META_TAG` Use a value of "yes" if the META tag should be omitted where it would otherwise be supplied.
`static java.lang.String` `S_USE_URL_ESCAPING` Use a value of "yes" if the href values for HTML serialization should use %xx escaping.

Constructor Summary
`OutputPropertiesFactory()`

Method Summary
`static java.util.Properties` `getDefaultMethodProperties(java.lang.String method)` Creates an empty OutputProperties with the defaults specified by a property file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_BUILTIN_EXTENSIONS_UNIVERSAL

    public static final java.lang.String S_BUILTIN_EXTENSIONS_UNIVERSAL

  Built-in extensions namespace, reexpressed in {namespaceURI} syntax suitable for prepending to a localname to produce a "universal name".

  See Also:
    Constant Field Values

### S_KEY_INDENT_AMOUNT

    public static final java.lang.String S_KEY_INDENT_AMOUNT

  The number of whitespaces to indent by, if indent="yes".

  See Also:
    Constant Field Values

### S_KEY_CONTENT_HANDLER

    public static final java.lang.String S_KEY_CONTENT_HANDLER

  Fully qualified name of class with a default constructor that implements the ContentHandler interface, where the result tree events will be sent to.

  See Also:
    Constant Field Values

### S_KEY_ENTITIES

    public static final java.lang.String S_KEY_ENTITIES

  File name of file that specifies character to entity reference mappings.

  See Also:
    Constant Field Values

### S_USE_URL_ESCAPING

    public static final java.lang.String S_USE_URL_ESCAPING

  Use a value of "yes" if the href values for HTML serialization should use %xx escaping.

  See Also:
    Constant Field Values

### S_OMIT_META_TAG

    public static final java.lang.String S_OMIT_META_TAG

  Use a value of "yes" if the META tag should be omitted where it would otherwise be supplied.

  See Also:
    Constant Field Values

### S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL

    public static final java.lang.String S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL

  The old built-in extension namespace

  See Also:
    Constant Field Values

### S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL_LEN

    public static final int S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL_LEN

  The length of the old built-in extension namespace

Constructor Detail

### OutputPropertiesFactory

    public OutputPropertiesFactory()

Method Detail

### getDefaultMethodProperties

    public static java.util.Properties getDefaultMethodProperties(java.lang.String method)

  Creates an empty OutputProperties with the defaults specified by a property file. The method argument is used to construct a string of the form output_[method].properties (for instance, output_html.properties). The output_xml.properties file is always used as the base.

  At the moment, anything other than 'text', 'xml', and 'html', will use the output_xml.properties file.

  Parameters:
    `method` - non-null reference to method name.
  Returns:
    Properties object that holds the defaults for the given method.

Copyright © 2004 Apache XML Project. All Rights Reserved.